local name = 'hidden-pole-1x1'
local type = 'lamp'

function on_built (entity)
--	create_entity{name=…, position=…, direction=…, force=…, target=…, source=…, fast_replace=…, player=…, spill=…, raise_built=…, create_build_effect_smoke=…, spawn_decorations=…}
	local surface = entity.surface
	local position = entity.position
	local force = entity.force
	surface.create_entity{name=name, position=position, force=force}
--	game.print ('created')
end


script.on_event(defines.events.on_built_entity, function(event)
  local entity = event.created_entity
  if entity and entity.type == type then
      on_built (entity)
  end
end)


script.on_event(defines.events.on_robot_built_entity, function(event)
  local entity = event.created_entity
  if entity and entity.type == type then
	 on_built (entity)
  end
end)


function on_remove (entity)
	local surface = entity.surface
	local position = entity.position
	local pole = surface.find_entity(name, position)
	if pole then 
		pole.destroy()
--		game.print ('destroyed')
	end
end

script.on_event(defines.events.on_entity_died, function(event) 
	local entity = event.entity
	if entity and entity.type == type then
		on_remove (entity)
	end	
end)

script.on_event(defines.events.on_player_mined_entity, function(event) 
	local entity = event.entity
	if entity and entity.type == type then
		on_remove (entity)
	end	
end)

script.on_event(defines.events.on_robot_mined, function(event) 
	local entity = event.entity
	if entity and entity.type == type then
		on_remove (entity)
	end	
end)
