local mod_name = '__WiredLamps__'
local name = 'hidden-pole-1x1'
local icon = mod_name .. '/graphics/icon.png'
local icon_size = 64


local entity = 
  {
    type = "electric-pole",
    name = name,
    icon = icon,
    icon_size = icon_size,
    flags = {
		"placeable-neutral", 
		"player-creation", 
		"fast-replaceable-no-build-while-moving",
		"placeable-off-grid",
		"not-on-map",
		"not-blueprintable",
		"not-deconstructable",
		"not-selectable-in-game"
	},
--    minable = {hardness = 0.2, mining_time = 2, result = name},
    max_health = 100,
--    corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
	collision_mask = {},

	
    selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    drawing_box = {{-0.5, -0.5}, {0.5, 0.5}},
	
    maximum_wire_distance = 9.5,
    supply_area_distance = 0.5,
    vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    track_coverage_during_build_by_moving = false,
    pictures =
    {
      filename = mod_name .. '/graphics/pole.png',
      priority = "extra-high",
      width = 64,
      height = 64,
      direction_count = 1,
      scale = 0.5,
    },
    connection_points =
    {
      {
        wire =
        {
          copper = {0, 0.4},
          red =    {0, 0},
          green =  {0, 0}
        },
        shadow =
        {
          copper = {0, 0.4},
          red =    {0, 0},
          green =  {0, 0}
        },
      }
    },
    radius_visualisation_picture =
    {
--      filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
      filename = mod_name .. '/graphics/visualization.png',
      width = 12,
      height = 12,
      priority = "extra-high-no-scale"
    }
  }
  
  
  
data:extend({entity})

